### Type Parameters

### Hierarchy

- Attribute

## Index

### Properties

- alias
- choices
- format
- geomType
- mask
- maxLength
- name
- numType
- readonly
- required
- type

## Properties

### alias

alias: string

- Defined in src/format/Attribute.js:49

The attribute alias

### choices

choices: string[]

- Defined in src/format/Attribute.js:46

The list of possible values for the attribute.

### format

format: string

- Defined in src/format/Attribute.js:54

The format used in the date, time and datetime type.

### geomType

geomType: string

- Defined in src/format/Attribute.js:43

(AttributeBase)

### mask

mask: string

- Defined in src/format/Attribute.js:55

The mask used in the date, time and datetime type.

### maxLength

maxLength: number

- Defined in src/format/Attribute.js:47

Specifies the maximum number of character for the attribute value.

### name

name: string

- Defined in src/format/Attribute.js:48

The attribute name.

### numType

numType: string

- Defined in src/format/Attribute.js:44

(AttributeBase)

### readonly

readonly: boolean

- Defined in src/format/Attribute.js:50

Whether the attribute's value should be prevented from being edited or not. Defaults to `false`.

### required

required: boolean

- Defined in src/format/Attribute.js:52

Whether the attribute is required to have a value set or not. Defaults to `false`.

### type

type: string

- Defined in src/format/Attribute.js:45

(AttributeBase)

Generated using TypeDoc